#Documentation string
__doc__="""JMBoring initialization module."""
#Product release
__version__='0.1'

#Import the class and its constructors
from JMBoring import JMBoring, manage_addJMBoringForm, manage_addJMBoring

#Method to register the class in the ZODB
def initialize(context):
  try:
    #Registers the class in the ZopeDB
    context.registerClass(JMBoring, #Class Module name
                          constructors=( #Constructor forms and methods
                            manage_addJMBoringForm,
                            manage_addJMBoring
                          ),
                          #I use the folder "images" to store my icons and pictures,
                          #but you may use "www", which is the standard. For me
                          #World Wide Web is really general and it could mean lots
                          #of things like javascripts, css, html, java, cgi, images,
                          #..., etc, so I decided to use "images", which has a more
                          #meanful name
                          icon='images/JMBoring.gif' #Icon location (16x16 gif file)
                         )
    #Registers the online help
    context.registerHelp()
  #Just in case something fails write the exception
  except:
    from sys import exc_info, stderr
    from traceback import format_exception
    from string import join

    type,val,tb=exc_info()
    stderr.write(join(format_exception(type, val, tb),''))

    del type,val,tb
